Subject: Re: pkgsrc sickness
To: Frederick Bruckman <>
From: Rene Hexel <>
List: tech-pkg
Date: 08/23/2002 07:49:33
On Thu, 2002-08-22 at 20:56, Frederick Bruckman wrote:

> That's the solution. If "I_Need_This.xml" had the "@keep" attribute,
> then it would be safe to "pkg_hack -d" the package. As for

  IC -- but bear in mind that in my example, both the old and new
packages installed "I_Need_This.xml" (which would be perfectly fine
under the assumption that the new version could be used with older
dependent packages).

> "pkg_delete"-ing the package, I warn against mixing the raw package
> tools with the hacked (wrapped) package tools, though of course you
> can always "pkg_delete -r libogg\*", then rebuild everything.

  Yes I understand.  But what I was saying: if you added that dependency
(the old foo-SO package being dependent on the new foo package), no
changes would be required (to pkg_delete).  It would just work out of
the box.